## stac-validator 3.5.0+ds

=== Makefile ===
help:			## Show this help
	@fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##//'

install:		## Install using pip
	pip install .

install-edit:		## Install using pip in edit mode
	pip install --editable .["test"]

code-check:		## Check and format code using pre-commit
	pre-commit install
	pre-commit autoupdate
	pre-commit run --all-files

test:			## Run the tests
	pytest --verbose
	pytest --mypy stac_validator

build-docker:		## Build a Docker container
	docker build -t stac-validator .

build-tox:		## Test stac_validator on multiple Python versions
	docker build -f tox/Dockerfile-tox -t stac_tox .

run:			## Run the Docker Container and enter into bash
	docker run -it --entrypoint /bin/bash stac-validator

## stac-validator 3.3.2+ds

=== debian/changelog ===
stac-validator (3.3.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Feb 2024 21:50:07 +0100

stac-validator (3.3.2+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Initial release (Closes: #1050129).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Feb 2024 07:14:00 +0000

=== debian/control ===
Source: stac-validator
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-click,
               python3-jsonschema,
               python3-pytest,
               python3-requests,
               python3-setuptools
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/stac-utils/stac-validator
Rules-Requires-Root: no
Vcs-Browser: https://github.com/stac-utils/stac-validator
Vcs-Git: https://github.com/stac-utils/stac-validator.git
Description: Python package to validate STAC files
 stac-validator is a library and cli tool for validating SpatioTemporal
 Asset Catalogs (STAC).
 It is written in Python and can be used to validate STAC Items,
 Collections, and Catalogs.

Package: python3-stac-validator
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: stac-validator
Architecture: all
Section: utils
Depends: python3-stac-validator (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} (CLI programs)
 ${source:Extended-Description}
 .
 This package contains CLI programs.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=\
-k "not test_assets_v090 \
and not test_assets_v100 \
and not test_assets_on_collection_without_assets_ok \
and not test_core_item_local_v080 \
and not test_core_collection_remote_v090 \
and not test_core_item_local_v090 \
and not test_core_item_local_extensions_v090 \
and not test_core_bad_item_local_v090 \
and not test_core_v1beta1 \
and not test_core_item_local_v1beta2 \
and not test_core_item_local_v1rc1 \
and not test_core_collection_local_v1rc1 \
and not test_core_item_local_v100 \
and not test_custom_item_remote_schema_v080 \
and not test_custom_item_remote_schema_v090 \
and not test_custom_item_local_schema_v090 \
and not test_custom_bad_item_remote_schema_v090 \
and not test_custom_item_remote_schema_v1rc2 \
and not test_custom_proj_error_v1rc2 \
and not test_default_v070 \
and not test_default_v090 \
and not test_default_v1beta1 \
and not test_default_proj_v1b2 \
and not test_default_simple_v1rc2 \
and not test_default_extended_v1rc2 \
and not test_default_catalog_v1rc2 \
and not test_v090 \
and not test_v1beta1 \
and not test_v1beta2 \
and not test_remote_v1rc3 \
and not test_remote_v1rc4 \
and not test_catalog_v1rc2 \
and not test_item_v100 \
and not test_poorly_formatted_v090 \
and not test_item_v100 \
and not test_recursive_lvl_3_v070 \
and not test_recursive_local_v090 \
and not test_recursive_v1beta1 \
and not test_recursive_v1beta2 \
and not test_recursion_collection_local_v1rc1 \
and not test_recursion_collection_local_v1rc2 \
and not test_recursion_collection_local_2_v1rc2 \
and not test_recursion_without_max_depth \
and not test_recursion_with_bad_item \
and not test_recursion_with_missing_collection_link \
and not test_false_sys_exit_error_python \
and not test_validate_dict_catalog_v1rc2 \
and not test_validate_item_collection_in_memory \
and not test_validate_item_collection_remote \
and not test_validate_item_collection_remote_pages" \
-v $(CURDIR)/tests

%:
	dh $@ --buildsystem=pybuild

## stac-validator 3.4.0+ds

=== debian/changelog ===
stac-validator (3.4.0+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/rules:
    - Skip tests that require access to internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Oct 2024 18:10:20 +0000

stac-validator (3.3.2+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix Vcs-* URLs.
    (closes: #1063935)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 01 May 2024 18:11:36 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                python3-pytest,
                python3-requests,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/stac-utils/stac-validator
 Rules-Requires-Root: no
-Vcs-Browser: https://github.com/stac-utils/stac-validator
-Vcs-Git: https://github.com/stac-utils/stac-validator.git
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/stac-validator
+Vcs-Git: https://salsa.debian.org/debian-gis-team/stac-validator.git
 Description: Python package to validate STAC files
  stac-validator is a library and cli tool for validating SpatioTemporal
  Asset Catalogs (STAC).

=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,12 @@
 and not test_validate_dict_catalog_v1rc2 \
 and not test_validate_item_collection_in_memory \
 and not test_validate_item_collection_remote \
-and not test_validate_item_collection_remote_pages" \
--v $(CURDIR)/tests
+and not test_validate_item_collection_remote_pages \
+and not test_core_collection_local_v110 \
+and not test_core_item_local_v110 \
+and not test_validate_collections_remote \
+and not test_correct_validate_dict_return_method" \
+-vv $(CURDIR)/tests
 
 %:
 	dh $@ --buildsystem=pybuild

## stac-validator 3.5.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,8 @@
 and not test_core_collection_local_v110 \
 and not test_core_item_local_v110 \
 and not test_validate_collections_remote \
-and not test_correct_validate_dict_return_method" \
+and not test_correct_validate_dict_return_method \
+and not test_header" \
 -vv $(CURDIR)/tests
 
 %:

## stac-validator 3.5.0+ds

=== debian/changelog ===
stac-validator (3.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency in python3-referencing and
      python3-requests-mock.
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 Jan 2025 07:58:40 +0000

## stac-validator 3.6.0%2Bds

=== debian/changelog ===
stac-validator (3.6.0+ds-1) unstable; urgency=medium

  * New usptream release.
  * Update dates in d/copyright.
  * debian/rules:
    - Skip tests requiring access to the internet.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Mar 2025 11:00:29 +0000

## stac-validator 3.6.0+ds

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                python3-jsonschema,
                python3-pytest,
                python3-requests,
+               python3-requests-mock <!nocheck>,
+               python3-referencing,
                python3-setuptools
 Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,11 @@
 and not test_core_item_local_v110 \
 and not test_validate_collections_remote \
 and not test_correct_validate_dict_return_method \
-and not test_header" \
+and not test_header \
+and not test_recursion_with_bad_child_collection \
+and not test_local_v1rc2 \
+and not test_no_extensions_v1beta2 \
+and not test_default_collection_validates_extensions" \
 -vv $(CURDIR)/tests
 
 %:

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/archive\/.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/,\
repacksuffix=+ds \
https://github.com/stac-utils/stac-validator/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stac-validator 3.10.1

=== Makefile ===
--- 
+++ 
@@ -24,3 +24,6 @@
 
 run:			## Run the Docker Container and enter into bash
 	docker run -it --entrypoint /bin/bash stac-validator
+
+docs:           ## Build documentation locally
+	sphinx-build -b html -E docs/ docs/_build/html

=== cdk-deployment/requirements.txt ===
aws-cdk.core==1.101.0
aws-cdk.aws-lambda==1.101.0
aws-cdk.aws_apigateway==1.101.0

=== docs/requirements.txt ===
sphinx>=4.0.0
sphinx_rtd_theme>=1.0.0
myst-parser>=0.15.0
sphinx-autodoc-typehints>=1.12.0

=== debian/changelog ===
stac-validator (3.10.1-2) unstable; urgency=medium

  * Fix d/watch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 16:51:14 +0000

stac-validator (3.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Stop repacking orig sources, no longer needed.
  * Update d/copyright.
  * debian/control:
    - Add dependency on python3-yaml.
  * debian/rules:
    - Copy schema_config.yaml to the build directory (it is used by tests).
    - Skip tests requiring access to the interner.
    - Skip tests requiring stac-pydantic (currently not available in debian).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Aug 2025 09:21:32 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                python3-requests,
                python3-requests-mock <!nocheck>,
                python3-referencing,
-               python3-setuptools
-Standards-Version: 4.7.0
+               python3-setuptools,
+               python3-yaml
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/stac-utils/stac-validator
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+export PYBUILD_BEFORE_TEST=cp $(CURDIR)/schema_config.yaml {build_dir}
+export PYBUILD_AFTER_TEST=rm -f {build_dir}/schema_config.yaml
 export PYBUILD_TEST_ARGS=\
 -k "not test_assets_v090 \
 and not test_assets_v100 \
@@ -59,7 +61,12 @@
 and not test_recursion_with_bad_child_collection \
 and not test_local_v1rc2 \
 and not test_no_extensions_v1beta2 \
-and not test_default_collection_validates_extensions" \
+and not test_default_collection_validates_extensions \
+and not test_default_item_local_v110 \
+and not test_verbose_mode_output \
+and not test_validator_with_test_config \
+and not test_recursive_lvl_4_local_v100 \
+and not test_pydantic_" \
 -vv $(CURDIR)/tests
 
 %:

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/archive\/.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/stac-utils/stac-validator/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stac-validator 3.10.2

=== debian/changelog ===
stac-validator (3.10.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Make pytest output verbose.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * debian/control:
    - Add dependency on python3-stac-pydantic.
  * debian/patches:
    - New 0001-No-network.patch.
  * debian/copyright:
    - Update copyright dates.
    - Reorder Files paragraphs by directory depth.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Feb 2026 23:04:45 +0000

stac-validator (3.10.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Mark python3-pytest dependency as '<!nocheck>'.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Nov 2025 07:39:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: stac-validator
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -9,16 +8,16 @@
                python3-all,
                python3-click,
                python3-jsonschema,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-requests,
                python3-requests-mock <!nocheck>,
                python3-referencing,
                python3-setuptools,
+               python3-stac-pydantic,
                python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/stac-utils/stac-validator
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/stac-validator
 Vcs-Git: https://salsa.debian.org/debian-gis-team/stac-validator.git
 Description: Python package to validate STAC files
@@ -31,6 +30,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
+Recommends: python3-stac-pydantic
 Description: ${source:Synopsis}
  ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST=cp $(CURDIR)/schema_config.yaml {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/schema_config.yaml
export PYBUILD_TEST_ARGS=-vv -m "not network" $(CURDIR)/tests

%:
	dh $@ --buildsystem=pybuild
